Bug 125581 - [Easy] Add Belkin F5D5020 info to /etc/pcmcia/config
[Easy] Add Belkin F5D5020 info to /etc/pcmcia/config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 21:55 EDT by Dan Williams
Modified: 2014-03-16 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-02 09:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2004-06-08 21:55:05 EDT
The Belkin F5D5020 card is a 16-bit PCMCIA card that works just fine
with the pcnet_cs driver.  All it needs to work out of the box is the
following lines in /etc/pcmcia/config:

card "Belkin-5020"
  version "Belkin", "F5D5020-PCMCIA-Network-Card"
  bind "pcnet_cs"
Comment 1 Dan Williams 2004-06-08 21:55:46 EDT
Bill: I can add this to the package tomorrow at work if you'd like. 
Assuming hwdata doesn't have any gotchas or wierd things about it.
Comment 2 Bill Nottingham 2004-06-09 00:45:25 EDT
Go for it.
Comment 3 Dan Williams 2004-07-02 09:39:02 EDT
fixed
Comment 4 Mo Kelly 2004-10-16 10:11:18 EDT
I added the above lines to /etc/pcmcia/config.  After rebooting, I 
found "Belkin 5020" in system-network-config under the hardware tab.
I added it as a device and activated and saved it. Before leaving 
system-network-config I checked the hardware tab and it still 
said "Belkin 5020". After exiting system-network-config I called it 
up again and the hardware tab had pcnet_cs. Everything continued to 
work until I rebooted.  I had to remove the device and pcnet_cs 
hardware from system-network-config and reboot.  I had to add the 
device after rebooting and everything worked again.

There must be a better way!
Comment 5 Mo Kelly 2004-10-16 10:53:28 EDT
I think I found it! I changed the /etc/modprobe.conf where it 
said "alias eth0 pcnet_cs" to "alias eth0 Belkin-5020".  I get an 
error during boot that says "Belkin-5020 device eth0 does not seem to 
be present delaying ititialization".  However, after completing the 
boot, in system-network-config, the hardware tab still 
says "pcnet_cs" but under the device tab the eth0 line remains and is 
active and everything works. 

I experienced this on Fedora Core 2

Note You need to log in before you can comment on or make changes to this bug.